Raspberry Pi 4 Fehlermeldung: ImportError: Error importing numpy

Python auf Einplatinencomputer wie Raspberry Pi, Banana Pi / Python für Micro-Controller
Antworten
Marengo
User
Beiträge: 1
Registriert: Donnerstag 6. Juni 2024, 10:17

Hallo liebe Python Gemeinde

Als Anfänger wäre ich für zielführende Hinweise um folgendes Problem zu lösen dankbar:

Mein Voron 3D Drucker läuft mit einem RaspberryPi 4 und ich wollte ein package (Shake&Tune) installieren.

Dies hat nicht funktioniert, da das Modul eine höhere Python Version braucht und Fehlermeldungen wie Diese ausgab:
ERROR: Ignored the following versions that require a different python version: 3.6.0 Requires-Python >=3.8

Ich habe dann zusätzlich Python 3.9.15 installiert; es kamen weiter die Fehlermeldungen und der Installationsabbruch.
Deshalb habe ich die Version 3.9.15 als neuen default definiert.
Die Installation war nunmehr erfolgreich.

Beim Aufrufen des Makros in Klipper kamen dann in der Konsole neue Fehlermeldungen:
/lib/arm-linux-gnueabihf/libm.so.6: version `GLIBC_2.29' not found (required by /home/pi/klippain_shaketune-env/lib/python3.9/site-packages/numpy/core/_multiarray_umath.cpython-39-arm-linux-gnueabihf.so)
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/usr/local/lib/python3.9/runpy.py", line 197, in _run_module_as


Desweiteren der Hinweis:
* The Python version is: Python3.9 from "/home/pi/klippain_shaketune-env/bin/python"
* The NumPy version is: "1.26.2"

Meine Fragen sind folgende:

- War meine Vorgehensweise richtig, oder liegt der Fehler bei mir? Was habe ich nicht beachtet?
- Muss die geforderte höhere Version als Standard definiert werden, oder können 3.7 und 3.9 parallel laufen.
- Wurde die Version 3.9 im richtigen Verzeichnis installiert:

Code: Alles auswählen

pi@mainsailos:~ $ ls /usr/bin/python* -latr | grep -v config
lrwxrwxrwx 1 root root       9 Mar  4  2019 /usr/bin/python2 -> python2.7
lrwxrwxrwx 1 root root       7 Mar  4  2019 /usr/bin/python -> python2
lrwxrwxrwx 1 root root      10 Mar 26  2019 /usr/bin/python3m -> python3.7m
-rwxr-xr-x 1 root root 2984816 Sep 20  2023 /usr/bin/python2.7
-rwxr-xr-x 2 root root 3641028 Mar 23 17:12 /usr/bin/python3.7m
-rwxr-xr-x 2 root root 3641028 Mar 23 17:12 /usr/bin/python3.7
lrwxrwxrwx 1 root root      24 Jun  5 23:31 /usr/bin/python3 -> /usr/local/bin/python3.9
- Handelt es sich um ein Pfadproblem, dass NumPi nicht gefunden wird?

Vielen Dank im Voraus
Benutzeravatar
__blackjack__
User
Beiträge: 13270
Registriert: Samstag 2. Juni 2018, 10:21
Wohnort: 127.0.0.1
Kontaktdaten:

@Marengo: Das sieht alles danach aus als wenn das Linux-System auf dem Rechner ein wenig zu alt ist. Python 3.7 bekommt seit fast vier Jahren keine Bugfixes mehr und seit fast einem Jahr nicht mal mehr Sicherheitsupdates.

Das Standardpython, also das was man mit ``python3`` startet würde ich nicht verändern weil sich Programme vom System darauf verlassen, dass das Python 3 ist was mit dem System kam.

Man könnte versuchen Numpy zu downgraden bis man eine Version hat, die mit der installierten GLIBC zusammen passt, oder man kompiliert Numpy selbst, statt vorkompiliertes zu verwenden.
Please call it what it is: copyright infringement, not piracy. Piracy takes place in international waters, and involves one or more of theft, murder, rape and kidnapping. Making an unauthorized copy of a piece of software is not piracy, it is an infringement of a government-granted monopoly.
Antworten